2019-06-25 19:20:24 UTC
58.4 MB
test
DOCKER_VERSION18.09.7-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:921b31ab772b38172fd9f942a40fae6db24decbd6706f67836260d47a72baab5 - 4.55% (2.66 MB)
[#001] sha256:2d38965338529dc04aed99fbfbf548d181545c1ee2352b716e4ead932b3d11c9 - 0.49% (295 KB)
[#002] sha256:28c34ce20860db7ccc4b5329e6db12278b15269042d97d77ab3d8ebc0df71d0c - 0.0% (154 Bytes)
[#003] sha256:c8d610d6edd09013de8da09e1509c1183af285c8d5b79dfcc2f0214d9bf910ff - 79.24% (46.3 MB)
[#004] sha256:29f21fd3c3ccd8cc7d63627afad374dec041799ee55adf51fc0bd0be1ea501e3 - 0.0% (545 Bytes)
[#005] sha256:6f42f7d873e48c78d078a4ccfe58ad93308dc4fab7e43f8062cdc2634e27967b - 0.0% (737 Bytes)
[#006] sha256:4cc8009e22bc316d016e59c43bd7830a831efd3d180e9ac970398f3d9caab404 - 15.72% (9.19 MB)
/bin/sh -c #(nop) ADD file:fef3b00b3ae63967d8f4d83174b3fcecb55c9bada02b3e4f5a9b79a21b6c3bb3 in /
2019-06-19 21:19:43 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-06-20 20:19:37 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-06-20 20:19:38 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-06-25 19:19:35 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-06-25 19:20:00 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1
2019-06-25 19:20:07 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-06-25 19:20:07 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-06-25 19:20:07 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-06-25 19:20:07 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-06-25 19:20:07 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-06-25 19:20:24 UTC/bin/sh -c apk add --no-cache git openssh-client
2019-06-25 18:50:39 UTC
55.1 MB
test
DOCKER_VERSION18.09.7-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:257a368dd99250a68424e4023851034502f33df88589bf37646c56babc8e2e81 - 4.45% (2.45 MB)
[#001] sha256:a527635218456f4864687dc30300b70e06efd5e7d91486c09eb252d175b55890 - 0.52% (295 KB)
[#002] sha256:f320f0bfec91582dcce181c87dc311bca1826cebd451b35e928f9bb43e5930a2 - 0.0% (153 Bytes)
[#003] sha256:0d0357324fe2bc12fbb3983a160bc336ec92d4d7dba32b9616542b0d5e1aa721 - 79.23% (43.6 MB)
[#004] sha256:ebaef06853b0afa044519095f33bbf5fb3d03b787be4570a560cbbdcf0a4e973 - 0.0% (544 Bytes)
[#005] sha256:bc45c3d8bce6138b08d69151fa2a1810b4d4aa4c5abfbc545cba14565b023d2d - 0.0% (739 Bytes)
[#006] sha256:6ddcdd7a33a0bb990c9064a3acbeab75777c1129ef3d925a86a7dfa3a4ec0856 - 15.79% (8.7 MB)
/bin/sh -c #(nop) ADD file:03b59368fa7e7f72a84a6f78b72e59d6bf46d5109acc13aecbab7c8c440e4add in /
2019-06-19 20:49:36 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-06-20 20:49:24 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-06-20 20:49:26 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-06-25 18:49:28 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-06-25 18:50:08 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1
2019-06-25 18:50:16 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-06-25 18:50:17 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-06-25 18:50:18 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-06-25 18:50:18 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-06-25 18:50:19 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-06-25 18:50:39 UTC/bin/sh -c apk add --no-cache git openssh-client
2019-06-25 18:58:43 UTC
54 MB
test
DOCKER_VERSION18.09.7-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:fd0f3c17efd43a26a5fce1692600c9a45e087cd84f50f61df6780702cc0050fe - 4.2% (2.27 MB)
[#001] sha256:dc6a614d312be6d9892ffc22ceab48ff53c57250da1ea8815afc34674ba2e03d - 0.53% (294 KB)
[#002] sha256:3bb84b62bcf2b0f814a4ef768d5d2b3fa0a59518b26bf510d6f387388ab719a7 - 0.0% (153 Bytes)
[#003] sha256:7a39eeced8f67102cb71fb2a5acf7b2cc5c857f06892bb6bee052eefea1ed088 - 80.81% (43.6 MB)
[#004] sha256:7cb6db03fb252939a169ee6164856edc0d36efef2fd3b5315cbd3238de9ae91f - 0.0% (544 Bytes)
[#005] sha256:ff3fe769ef893e5644849cb57f89386af0a04cd95a5d9ca62f96c6a98c7c5709 - 0.0% (737 Bytes)
[#006] sha256:fb9e7b193c452c17614306ece74ce4fda949aa839bd6bb7ad8927d64c728363b - 14.47% (7.81 MB)
/bin/sh -c #(nop) ADD file:0fb1a3eecd6693893c4c94275505763f0c6432d1cbd38fea5c27baa5256b32aa in /
2019-06-19 20:57:44 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-06-20 20:57:48 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-06-20 20:57:49 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-06-25 18:57:30 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-06-25 18:58:11 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1
2019-06-25 18:58:20 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-06-25 18:58:21 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-06-25 18:58:22 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-06-25 18:58:22 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-06-25 18:58:23 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-06-25 18:58:43 UTC/bin/sh -c apk add --no-cache git openssh-client
2019-06-25 19:40:34 UTC
54 MB
test
DOCKER_VERSION18.09.7-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:54e94bcddc88729dd11dea70b3489452e71c2d5f846551f59fdeb807af4319d7 - 4.8% (2.59 MB)
[#001] sha256:43582c0db3f3b37f7cd4c9cf946d061a36e286fb74408d73da8920c1ef65c156 - 0.53% (295 KB)
[#002] sha256:9fe16242a9df16c896f29039c844a1995bd938c52af0d952541de26815dbe49b - 0.0% (154 Bytes)
[#003] sha256:f1e6df8029656b69170c742a918bb14cd1a2ed64a92884502f31a2b80110c338 - 77.19% (41.7 MB)
[#004] sha256:befc34b8e476f92103aa45479d5377711bf772e03f0479a4ea66f236129fa4e7 - 0.0% (544 Bytes)
[#005] sha256:59c22d154b599368f946a68ac88a7c443e57ec819d6c95881d1e15687611b7bc - 0.0% (736 Bytes)
[#006] sha256:2cad741a7f06d73479a62200612314fca8defc615e126242d0f9af451533e9d7 - 17.48% (9.43 MB)
/bin/sh -c #(nop) ADD file:5ff5a563323bccd2fa42c7839aa0e7b4041af209e44bcb5bc9e07c4a94074b66 in /
2019-06-19 20:39:38 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-06-20 20:39:43 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-06-20 20:39:45 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-06-25 19:39:30 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-06-25 19:40:07 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1
2019-06-25 19:40:13 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-06-25 19:40:13 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-06-25 19:40:14 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-06-25 19:40:14 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-06-25 19:40:15 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-06-25 19:40:34 UTC/bin/sh -c apk add --no-cache git openssh-client
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.